Authorize

IMPORTANT: Call from the back-end.

This endpoint is used to check if a user owns a particular token (or any token of a particular collection). You will need to authenticate using your Mintology API Key, and also the Project ID that you set for one of your projects. If you do not specify a contract_address, we will use the contract associated with your project ID. If you do not specify a token_id, we will check if the wallet contain any tokens from the contract.

Path Params
string
required

Project Id - found on your dashboard on dashboard.mintology.app

Query Params
string

When there are more than 15 tokens returned, pagination occurs and you are returned 'next_token' which you can include in the subsequent request to fetch the next page of results in this parameter.

Body Params

Request description

string

The NFT smart contract address to check. This is the address of the NFT contract on the blockchain. If you do not specify a contract_address, we will use the contract associated with your project ID.

string

NFT token ID to check. This is the token id of the specific NFT token within the contract and it is optional; if absent, any token in the contract will authorize the wallet.

string
required

Wallet address of the user to authorize the token to if you don't pass in a user name.

string

Optional Mintable wallet or Mintable's user email for authorize the NFT to that wallet.

Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json